Create audit profile
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id*Repository IdFormat
uuidapplication/json- body
branch_ref*Branch RefLength
1 <= length <= 500name*NameLength
1 <= length <= 100purpose?PurposeLength
length <= 500Default
""source_scope?Successful Response
application/json- response
branch_ref*Branch RefLength
1 <= length <= 500created_at*Created AtFormat
date-timecreated_by*Created ByFormat
uuidid*IdFormat
uuidname*NameLength
1 <= length <= 100purpose?PurposeLength
length <= 500Default
""repository_id*Repository IdFormat
uuidsource_scope?updated_at*Updated AtFormat
date-timeversion*Versionworkspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-profiles' \ -H 'Content-Type: application/json' \ -d '{ "branch_ref": "string", "name": "string"}'Example Response
{ "branch_ref": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "purpose": "", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "source_scope": { "exclude_paths": [ "string" ], "include_paths": [ "string" ] }, "updated_at": "2019-08-24T14:15:22Z", "version": 0, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}